<ng-container *ngIf="(forecasts$ | async) as summaries; else empty">
    <ng-container *ngIf="summaries.length > 0 else empty">
        <div *ngFor="let summary of summaries; trackBy summaryId">
            <lib-city-summary [forecast]="summary"></lib-city-summary>
        </div>
    </ng-container>
</ng-container>

<div class="actions">
    <ng-container *ngIf="(error$ | async) as error">
        <div class="error">{{error}}</div>
    </ng-container>

    <ng-container *ngIf="queryFormVisible">
        <form class="query-form">
            <input type="text"
                   name="query"
                   placeholder="Enter city name to search and press enter"
                   i18n-placeholder="Weather widget|Add city form input placeholder"
                   #queryInput
                   [(ngModel)]="query"
                   [disabled]="(loading$ | async) === true"
                   (keydown.enter)="addCity(query); queryFormVisible = false">
            <button type="reset" (click)="queryFormVisible = false" i18n="Weather widget|Add city cancel button">Cancel</button>
        </form>
    </ng-container>

    <ng-container *ngIf="!queryFormVisible">
        <button class="add-button" (click)="queryFormVisible = true" i18n="Weather widget|Add city button">Add city to the forecast</button>
    </ng-container>
</div>

<ng-template #empty>
    <ng-container i18n="Weather widget|Empty list text before add link">Let's try</ng-container
    >&nbsp;<a href="#" (click)="queryFormVisible = true; $event.stopPropagation()"
              i18n="Weather widget|Empty list add link">to add</a
    >&nbsp;<ng-container i18n="Weather widget|Empty list text after add link">your first city to the forecast.</ng-container>
</ng-template>
